<?php
/**
 * Ce fichier contient l'ensemble des constantes et fonctions implémentant le service GEOIP.
 *
 * @package SPIP\ISOCODE\SERVICES\GEOIP
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

$GLOBALS['isocode']['geoip'] = [
	'geoipcontinents' => [
		'groupe'       => 'geographie',
		'basic_fields' => [
			'Code'     => 'code',
			'code_num' => 'code_num',
			'fr'       => 'label_fr',
			'en'       => 'label_en',
			'es'       => 'label_es',
			'ru'       => 'label_ru',
			'zh'       => 'label_zh',
			'ar'       => 'label_ar',
		],
		'unused_fields' => [
			'label_fr' => '',
			'label_en' => '',
			'label_es' => '',
			'label_ru' => '',
			'label_zh' => '',
			'label_ar' => '',
		],
		'label_field' => true,
		'populating'  => 'file_json',
		'node'        => '',
		'extension'   => '.json',
	]
];

// ----------------------------------------------------------------------------
// ---------------- API du service GEOIP - Actions principales ----------------
// ----------------------------------------------------------------------------
